net.sf.jasperreports.components.table.fill

## Class TableSubreportParameter

- java.lang.Object
- - net.sf.jasperreports.components.table.fill.TableSubreportParameter

- All Implemented Interfaces:
    java.lang.Cloneable, JRCloneable, JRDatasetParameter, JRSubreportParameter

      public class TableSubreportParameter
      extends java.lang.Object
      implements JRSubreportParameter

  Version:
    $Id: TableSubreportParameter.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableSubreportParameter(JRDatasetParameter datasetParameter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRExpression` | `getExpression()` Returns the value expression.
    `java.lang.String` | `getName()` Returns the name of the dataset parameter.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableSubreportParameter

          public TableSubreportParameter(JRDatasetParameter datasetParameter)

  - ### Method Detail

    - #### getExpression

          public JRExpression getExpression()

      Description copied from interface: `JRDatasetParameter`
      Returns the value expression.
      Specified by:
        `getExpression` in interface `JRDatasetParameter`
      Returns:
        the value expression

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `JRDatasetParameter`
      Returns the name of the dataset parameter.
      Specified by:
        `getName` in interface `JRDatasetParameter`
      Returns:
        the name of the dataset parameter

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com